Package org.jboss.modules

# Class ModuleLoggerFinder

java.lang.Object
java.lang.System.LoggerFinder
org.jboss.modules.ModuleLoggerFinder

public final class ModuleLoggerFinder extends System.LoggerFinder
A logger finder which attempts to locate a `System.LoggerFinder` on the log managers class path. If not found a default finder will be used.

Author:
  James R. Perkins

## Constructor Summary

Constructors
Constructor
Description
`ModuleLoggerFinder()`

## Method Summary

Modifier and Type
Method
Description
`System.Logger`
`getLogger(String name, Module module)`

### Methods inherited from class java.lang.System.LoggerFinder

`getLocalizedLogger, getLoggerFinder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModuleLoggerFinder

public ModuleLoggerFinder()

## Method Details

### getLogger

public System.Logger getLogger(String name, Module module)

Specified by:
  `getLogger` in class `System.LoggerFinder`